<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Teilnehmer\Visitenkarten\VisitenkartenUebersicht\NeueVisitenkarteErstellen;

class NachInsertVisitenkarteController extends \Kufer\KuferTools\Teilnehmer\Visitenkarten\VisitenkartenDetails\VisitenkartenDetailsController
{
  private $statusCode;
  private $visitenkarteId;

  public function __construct($pStatusCode, $pVisitenkarteId)
  {
    $this->statusCode = $pStatusCode;
    $this->visitenkarteId = $pVisitenkarteId;
  }

  protected function getRequestObj()
  {
    $obj = parent::getRequestObj();
    $obj->statusCode = $this->statusCode;
    $obj->visitenkarteId = $this->visitenkarteId;

    return $obj;
  }
}